export const getUsers = async (id?: string) => {
    try {
        const data = await fetch(`/api/users${id ? `?id=${id}` : ""}`)
        if (!data.ok) {
            throw new Error('Network response was not ok')
        }

        return data.json()
    } catch (error: any) {
        return error.response.data
    }
}